Skip to main content
POST
/
consumers
/
{consumer_id}
/
accounting
/
invoices
/
pdf
/
{invoice_id}
Attach a document (PDF)
curl --request POST \
  --url https://api.chift.eu/consumers/{consumer_id}/accounting/invoices/pdf/{invoice_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "base64_string": "<string>",
  "name": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

consumer_id
string<uuid>
required
invoice_id
string
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

overwrite_existing
enum<string> | null
default:false

Indicate what to do if a document is already attched to the invoice.

Available options:
true,
false

Body

application/json
base64_string
string
required
name
string | null

A name for the PDF file to be created for accounting software that support it.

Required string length: 1 - 200
Pattern: ^[a-zA-Z0-9\-_ ]{1,196}(?:.pdf)?$

Response

Successful Response